# Class TCPSampler

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.samplers.AbstractSampler
org.apache.jmeter.protocol.tcp.sampler.TCPSampler

All Implemented Interfaces:
  `Serializable, Cloneable, ConfigMergabilityIndicator, Searchable, Interruptible, Sampler, TestElement, ThreadListener`

public class TCPSampler extends AbstractSampler implements ThreadListener, Interruptible
A sampler which understands Tcp requests.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CLASSNAME`
`static final String`
`CLOSE_CONNECTION`
`static final boolean`
`CLOSE_CONNECTION_DEFAULT`
`static final String`
`EOL_BYTE`
`static final String`
`FILENAME`
`static final String`
`NODELAY`
`static final String`
`PORT`
`static final String`
`RE_USE_CONNECTION`
`static final boolean`
`RE_USE_CONNECTION_DEFAULT`
`static final String`
`REQUEST`
`static final String`
`SERVER`
`static final String`
`SO_LINGER`
`static final String`
`TIMEOUT`
`static final String`
`TIMEOUT_CONNECT`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`TCPSampler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applies(ConfigTestElement configElement)`
Does configElement apply to Sampler
`String`
`getClassname()`
`int`
`getConnectTimeout()`
`int`
`getEolByte()`
`String`
`getFilename()`
`String`
`getLabel()`
Returns a formatted string label describing this sampler Example output: Tcp://Tcp.nowhere.com/pub/README.txt
`boolean`
`getNoDelay()`
`String`
`getPassword()`
`int`
`getPort()`
`String`
`getRequestData()`
`String`
`getServer()`
`int`
`getSoLinger()`
`int`
`getTimeout()`
`String`
`getUsername()`
`boolean`
`interrupt()`
Interrupt the current operation if possible.
`boolean`
`isCloseConnection()`
`boolean`
`isReUseConnection()`
`SampleResult`
`sample(Entry e)`
Obtains statistics about the given Entry, and packages the information into a SampleResult.
`void`
`setClassname(String classname)`
`void`
`setCloseConnection(String close)`
`void`
`setConnectTimeout(String newTimeout)`
`void`
`setEolByte(String eol)`
`void`
`setFilename(String newFilename)`
`void`
`setPort(String newFilename)`
`void`
`setRequestData(String newRequestData)`
`void`
`setServer(String newServer)`
`void`
`setSoLinger(String soLinger)`
`void`
`setTimeout(String newTimeout)`
`void`
`threadFinished()`
Called for each thread after all samples have been processed.
`void`
`threadStarted()`
Called for each thread before starting sampling.

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

## Field Details

### SERVER

public static final String SERVER

See Also:
  - Constant Field Values

### PORT

public static final String PORT

See Also:
  - Constant Field Values

### FILENAME

public static final String FILENAME

See Also:
  - Constant Field Values

### CLASSNAME

public static final String CLASSNAME

See Also:
  - Constant Field Values

### NODELAY

public static final String NODELAY

See Also:
  - Constant Field Values

### TIMEOUT

public static final String TIMEOUT

See Also:
  - Constant Field Values

### TIMEOUT_CONNECT

public static final String TIMEOUT_CONNECT

See Also:
  - Constant Field Values

### REQUEST

public static final String REQUEST

See Also:
  - Constant Field Values

### RE_USE_CONNECTION

public static final String RE_USE_CONNECTION

See Also:
  - Constant Field Values

### RE_USE_CONNECTION_DEFAULT

public static final boolean RE_USE_CONNECTION_DEFAULT

See Also:
  - Constant Field Values

### CLOSE_CONNECTION

public static final String CLOSE_CONNECTION

See Also:
  - Constant Field Values

### CLOSE_CONNECTION_DEFAULT

public static final boolean CLOSE_CONNECTION_DEFAULT

See Also:
  - Constant Field Values

### SO_LINGER

public static final String SO_LINGER

See Also:
  - Constant Field Values

### EOL_BYTE

public static final String EOL_BYTE

See Also:
  - Constant Field Values

## Constructor Details

### TCPSampler

public TCPSampler()

## Method Details

### getUsername

public String getUsername()

### getPassword

public String getPassword()

### setServer

public void setServer(String newServer)

### getServer

public String getServer()

### isReUseConnection

public boolean isReUseConnection()

### setCloseConnection

public void setCloseConnection(String close)

### isCloseConnection

public boolean isCloseConnection()

### setSoLinger

public void setSoLinger(String soLinger)

### getSoLinger

public int getSoLinger()

### setEolByte

public void setEolByte(String eol)

### getEolByte

public int getEolByte()

### setPort

public void setPort(String newFilename)

### getPort

public int getPort()

### setFilename

public void setFilename(String newFilename)

### getFilename

public String getFilename()

### setRequestData

public void setRequestData(String newRequestData)

### getRequestData

public String getRequestData()

### setTimeout

public void setTimeout(String newTimeout)

### getTimeout

public int getTimeout()

### setConnectTimeout

public void setConnectTimeout(String newTimeout)

### getConnectTimeout

public int getConnectTimeout()

### getNoDelay

public boolean getNoDelay()

### setClassname

public void setClassname(String classname)

### getClassname

public String getClassname()

### getLabel

public String getLabel()
Returns a formatted string label describing this sampler Example output: Tcp://Tcp.nowhere.com/pub/README.txt

Returns:
  a formatted string label describing this sampler

### sample

public SampleResult sample(Entry e)
Description copied from interface: `Sampler`
Obtains statistics about the given Entry, and packages the information into a SampleResult.

Specified by:
  `sample` in interface `Sampler`
Parameters:
  `e` - the Entry (TODO seems to be unused)
Returns:
  information about the sample

### threadStarted

public void threadStarted()
Description copied from interface: `ThreadListener`
Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet.

Specified by:
  `threadStarted` in interface `ThreadListener`
See Also:
  - `JMeterThread.threadStarted()`

### threadFinished

public void threadFinished()
Called for each thread after all samples have been processed.

Specified by:
  `threadFinished` in interface `ThreadListener`
See Also:
  - `JMeterThread.threadFinished(org.apache.jmeter.engine.event.LoopIterationListener)`

### applies

public boolean applies(ConfigTestElement configElement)
Description copied from class: `AbstractSampler`
Does configElement apply to Sampler

Specified by:
  `applies` in interface `ConfigMergabilityIndicator`
Overrides:
  `applies` in class `AbstractSampler`
Parameters:
  `configElement` - `ConfigTestElement`
Returns:
  boolean
See Also:
  - `AbstractSampler.applies(org.apache.jmeter.config.ConfigTestElement)`

### interrupt

public boolean interrupt()
Description copied from interface: `Interruptible`
Interrupt the current operation if possible.

Specified by:
  `interrupt` in interface `Interruptible`
Returns:
  `true` if there was an operation to interrupt.